commit:     6d14632e8188758dde7842fdca7bfabbe234856b
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 16 10:28:15 2018 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Sun Sep 16 10:28:15 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d14632e

dev-libs/libgpiod: version bump to 1.1.1

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-libs/libgpiod/Manifest              |  1 +
 dev-libs/libgpiod/libgpiod-1.1.1.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-libs/libgpiod/Manifest b/dev-libs/libgpiod/Manifest
index 7f380ebad6b..dac93e5efe9 100644
--- a/dev-libs/libgpiod/Manifest
+++ b/dev-libs/libgpiod/Manifest
@@ -1 +1,2 @@
 DIST libgpiod-1.0.tar.gz 411974 BLAKE2B 
e6c962329f7fad374d2771e60aa87e679970e3b593dda73d51f0511b14122d8a9d94eee3355ede2221d4ff0cd10f7116874c535fe90092fd61ccc5aa8f7e9818
 SHA512 
e8a71a7028fa73a94d8507d4329bee024c3e73d1b619dd5500172bf36509c7ccee521ddb6ef07283e3a4217af9da12ce154af657f8a536883f5495ffccf46e0c
+DIST libgpiod-1.1.1.tar.xz 302672 BLAKE2B 
71c624f923118b7c50970beb737f2c813d1470a34f95798f9ce821211e16f15e2a3fd42d0054e25529ddc9846725c0935d915784f22d2509b844a0bac61b66b6
 SHA512 
a1d902ce8e1c94d5550ade2fb4889ebe28b86523505b92ab907f58c8e6903eaf07ce16278126989462956b879f591b42ddd50fbc4537c1b5af459f23a4dfc12f

diff --git a/dev-libs/libgpiod/libgpiod-1.1.1.ebuild 
b/dev-libs/libgpiod/libgpiod-1.1.1.ebuild
new file mode 100644
index 00000000000..7cbe28bf2d3
--- /dev/null
+++ b/dev-libs/libgpiod/libgpiod-1.1.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib multilib-minimal
+
+DESCRIPTION="C library and tools for interacting with the linux GPIO character 
device"
+HOMEPAGE="https://git.kernel.org/pub/scm/libs/libgpiod/libgpiod.git/";
+SRC_URI="https://mirrors.edge.kernel.org/pub/software/libs/libgpiod/libgpiod-1.1.1.tar.xz";
+
+LICENSE="LGPL-2.1"
+# Reflects the ABI of libgpiod.so
+SLOT="0/1"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs +tools"
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable tools)
+}
+
+multilib_src_install() {
+       default
+
+       if ! use static-libs; then
+               find "${D}" -name "*.a" -delete || die
+       fi
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to